public static interface EhcacheEndpointBuilderFactory.EhcacheBuilders
| Modifier and Type | Method and Description |
|---|---|
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder |
ehcache(String path)
Ehcache (camel-ehcache)
Perform caching operations using Ehcache.
|
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder |
ehcache(String componentName,
String path)
Ehcache (camel-ehcache)
Perform caching operations using Ehcache.
|
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder ehcache(String path)
ehcache:cacheName
Path parameter: cacheName (required)
the cache namepath - cacheNamedefault EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder ehcache(String componentName, String path)
ehcache:cacheName
Path parameter: cacheName (required)
the cache namecomponentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel